Apache2 with PHP5 and PHP4 simultaneously

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache2 with PHP5 and PHP4 simultaneously

Postby jacortijo » 11. December 2008 07:22

Good morning,
it is being a nightmare to achieve to have running apache2 with PHP4 and PHP5 support.
I need to have several different php application and mainly all of them use PHP5 but I have an specific one in PHP4. I was googling a lot and found some solutions, the best I found is
http://www.gentoo.org/proj/en/php/php4- ... ration.xml
but it is for Gentoo and unfortunally in my office we work with windows 2003.
I am lazy so I used XAMP and I got directly apache2 with PHP5 and PHP4. it provides to swith from one version to the other but I need both at the same time.
I tried using the following directives in the vhost file but apache seems to follow them at all.
this is my vhosts
<VirtualHost *:80>
DocumentRoot E:/xampp/htdocs/
ServerName localhost
</VirtualHost>
<VirtualHost *:80>
DocumentRoot E:/xampp/htdocs/Degas
ServerName drivers
ScriptAlias /php/ "E:/xampp/php/php4/"
Action application/x-httpd-php4 "/php/php.exe"
AddHandler application/x-httpd-php4 .php

<Directory "E:/xampp/php/php4/">
Options Indexes FollowSymLinks
AllowOverride FileInfo
Order allow,deny
Allow from all
</Directory>
</VirtualHost>

the enviroment is set up in PHP5. I create a info.php in both places and in both places shows up PHP 5.2.6 :(

Anything I should do... somebody did it before?
is it impossible to achieve?

Many thanks in advance
Jose
jacortijo
 
Posts: 9
Joined: 20. March 2008 07:20

Re: Apache2 with PHP5 and PHP4 simultaneously

Postby glitzi85 » 11. December 2008 17:43

If you want to run PHP4 and PHP5 parallel, you would need to include both Modules into the webserver. As far as i know this is not possible. In this case you would have to run PHP in CGI-Mode, then you can select the PHP-Version for every File / vHost.

glitzi
User avatar
glitzi85
 
Posts: 1920
Joined: 05. March 2004 23:26
Location: Dahoim

Re: Apache2 with PHP5 and PHP4 simultaneously

Postby jacortijo » 12. December 2008 03:29

yes I know that.... I found this very good manual

http://scripts.indisguise.org/tutorials ... php4-php5/

but I cannot make it work . I get a C++ runtime error R6034. I install the runtime VS 2005 libraries but still the same...

desperated aaarrrg!
jacortijo
 
Posts: 9
Joined: 20. March 2008 07:20

Re: Apache2 with PHP5 and PHP4 simultaneously

Postby glitzi85 » 12. December 2008 13:19

jacortijo wrote:but I cannot make it work . I get a C++ runtime error R6034. I install the runtime VS 2005 libraries but still the same..

Where do you get this error message?
User avatar
glitzi85
 
Posts: 1920
Joined: 05. March 2004 23:26
Location: Dahoim


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 43 guests